#
# spec file for package docbktls (Version 0.60.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  docbook-dsssl-stylesheets jade_dsl
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip jade_dsl kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         docbktls
%define sysconfdir %{_sysconfdir}
Copyright:    GPL
Group:      Utilities/Text
Provides:     docbook-tools dodbook-toys
Requires:     jade_dsl docbook_3 docbook_4 iso_ent docbook-dsssl-stylesheets
Autoreqprov:  on
Version:      0.60.1
Release:      47
Summary:      DocBook Tools
Source:      http://www.suse.de/~ke/docbook-toys/docbook-toys-%{version}.tar.bz2
Source1: %{name}-README.SuSE
Patch: docbook-toys-html-out.diff
Patch1: docbook-toys-script.dif
Patch2: docbktls-xml-dcl-check.diff
Patch3: docbktls-sgml-vs-xml-cat.diff
Buildroot:   %{_tmppath}/%{name}-root
BuildArchitectures: noarch
URL:         http://www.suse.de/~ke/docbook-toys/

%description
A shell script to convert SGML documents which are based on the DocBook DTD.

Authors:
--------
    Karl Eichwalder <ke@suse.de>
    Mark Galassi <rosalia@cygnus.com>

SuSE series: sgm

%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%define INSTALL_SCRIPT install -m755
%prep
%setup -q -n docbook-toys-%{version}
%{INSTALL_DATA} %{SOURCE1} README.SuSE
%patch -p 1
%patch1
%patch -p 1 -P 2 -P 3

%build
LIBS=-L/usr/X11R6/lib ./configure \
    --prefix=%{_prefix} \
    --sysconfdir=%sysconfdir \
    --build $RPM_ARCH-suse-linux

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT mk_links

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README.SuSE
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%doc texmf.conf.diff
%doc test
%{_bindir}/*
%dir %{_datadir}/sgml/docbook/docbook-toys
%config %{_datadir}/sgml/docbook/docbook-toys/suse-both.dsl
%config %{_datadir}/sgml/docbook/docbook-toys/gdp-both.dsl
%config %{_datadir}/sgml/docbook/docbook-toys/docbook-sloppy.dcl

%changelog -n docbktls
* Wed Oct 24 2001 - ke@suse.de
- Fix validation switches -V and -W for SGML.  CAT_NSGMLS was overridden
  on systems with DocBook XML catalogs installed; these catalogs are
  coming with the 'docbook_4' package.
  Problem reported by Uwe Drechsel [#12027].
* Mon Oct 15 2001 - ke@suse.de
- Apply docbktls-xml-dcl-check.diff to improve check for the XML
  declaration; problem reported by Joerg Menke [#11826].
* Mon Oct 01 2001 - schwab@suse.de
- Fix quoting in shell script.
* Mon Aug 27 2001 - ke@suse.de
- Apply docbook-toys-html-out.diff to fix name of HTML output directory;
  reported by Ruediger Oertel.
* Mon Aug 27 2001 - ro@suse.de
- added <jade_dsl> to neededforbuild
* Mon Aug 27 2001 - ke@suse.de
- Update to version 0.60.1:
- Process DocBook XML (version 4) files.
- Rename docbktls-README.SuSE to README.SuSE.
- Cleanup spec file.
* Wed Jul 18 2001 - ke@suse.de
- Update to version 0.51.0.
* Mon Jul 16 2001 - ke@suse.de
- Update to version 0.50.1.
- Update README.SuSE.
* Fri Jul 13 2001 - ke@suse.de
- Fix files list.
* Fri Jul 13 2001 - ke@suse.de
- Update to version 0.16.0 (and drop docbook-toys-0.15.2-which.diff).
- Start README.SuSE.
* Fri Jul 13 2001 - ro@suse.de
- use frames instead of test (no longer in current dssl package).
* Mon Apr 23 2001 - ke@suse.de
- Apply docbook-toys-0.15.2-which.diff: replace 'which' by
  'type -p'; [#6841].
* Wed Mar 28 2001 - ke@suse.de
- Fix neededforbuild: s/docbkdsl/docbook-dsssl-stylesheets/ [#6842].
* Tue Mar 27 2001 - ke@suse.de
- Update to version 0.15.2 [#6841].
* Mon Mar 19 2001 - ke@suse.de
- Update to version 0.15.1
* Thu Mar 15 2001 - ke@suse.de
- Update to version 0.15.0.
- Add patch to make use of /usr/share/sgml/CATALOG.jade_dsl.
- Fix neededforbuild: s/docbk30/docbook_3/ and s/docbk_4/docbook_4
  [#6669].
* Mon Mar 05 2001 - ke@suse.de
- Apply patch to make use of CATALOG.gnome, too.
- Provide a dbnochunks script.
- Remove obsolete spec file comments.
* Tue Nov 21 2000 - ke@suse.de
- update to version 0.14.0 [this update is considered to fix #4155].
* Thu Nov 02 2000 - ke@suse.de
- update to version 0.13.0.
- spec file: use macros more consistently.
* Mon Feb 14 2000 - ke@suse.de
- update to version 0.8.1.
- add offcial group tag.
- ./configure -> %%build.
* Tue Jan 11 2000 - ke@suse.de
- update: version 0.7.1.
* Fri Nov 05 1999 - ke@suse.de
- update: version 0.6.
- package is "noarch".
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun May 02 1999 - ke@suse.de
- update: version 0.5.
* Wed Apr 14 1999 - ke@suse.de
- update: version 0.4.
* Fri Apr 09 1999 - ke@suse.de
- initial package: version 0.2
